curl -X POST https://orders.balaipedia.com/v1/webhook \
-H "Authorization: Bearer YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"url":"https://example.com/hooks/orders"}'
{"object":"webhook","url":"https://example.com/hooks/orders","enabled":true,"secret":"whsec_...","note":"Store this secret now. It is shown only once; POST again to rotate it."}
Webhook endpoints
Set webhook
Set your webhook URL (or rotate its secret).
POST
/
v1
/
webhook
curl -X POST https://orders.balaipedia.com/v1/webhook \
-H "Authorization: Bearer YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"url":"https://example.com/hooks/orders"}'
{"object":"webhook","url":"https://example.com/hooks/orders","enabled":true,"secret":"whsec_...","note":"Store this secret now. It is shown only once; POST again to rotate it."}
Returns the webhook with a new signing
secret (shown only once). POST again to change the URL or rotate the secret.
A webhook URL must be a public https URL on port 443 with a hostname (no IP addresses, no credentials in the URL). See Webhooks for events and signature verification.
Body
curl -X POST https://orders.balaipedia.com/v1/webhook \
-H "Authorization: Bearer YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"url":"https://example.com/hooks/orders"}'
{"object":"webhook","url":"https://example.com/hooks/orders","enabled":true,"secret":"whsec_...","note":"Store this secret now. It is shown only once; POST again to rotate it."}